Region (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.tools.pulse.tests

## Class Region

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.JMXBaseBean
  - - org.apache.geode.tools.pulse.tests.Region

- All Implemented Interfaces:
    RegionMBean

      public class Region
      extends JMXBaseBean
      implements RegionMBean

- - ### Field Summary

    - ### Fields inherited from interface org.apache.geode.tools.pulse.tests.RegionMBean

      `OBJECT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Region(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDiskReadsRate()`
    `long` | `getDiskUsage()`
    `double` | `getDiskWritesRate()`
    `int` | `getEmptyNodes()`
    `long` | `getEntrySize()`
    `java.lang.String` | `getFullPath()`
    `boolean` | `getGatewayEnabled()`
    `double` | `getGetsRate()`
    `protected java.lang.String` | `getKey(java.lang.String propName)`
    `double` | `getLruEvictionRate()`
    `int` | `getMemberCount()`
    `java.lang.String[]` | `getMembers()`
    `java.lang.String` | `getName()`
    `boolean` | `getPersistentEnabled()`
    `double` | `getPutsRate()`
    `java.lang.String` | `getRegionType()`
    `long` | `getSystemRegionEntryCount()`
    `javax.management.openmbean.CompositeData` | `listRegionAttributes()`

    - ### Methods inherited from class org.apache.geode.tools.pulse.tests.JMXBaseBean

      `getBoolean, getDouble, getFloat, getInt, getLong, getLongArray, getString, getStringArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Region

          public Region(java.lang.String name)

  - ### Method Detail

    - #### getKey

          protected java.lang.String getKey(java.lang.String propName)

      Specified by:
        `getKey` in class `JMXBaseBean`

    - #### getMembers

          public java.lang.String[] getMembers()

      Specified by:
        `getMembers` in interface `RegionMBean`

    - #### getFullPath

          public java.lang.String getFullPath()

      Specified by:
        `getFullPath` in interface `RegionMBean`

    - #### getDiskReadsRate

          public double getDiskReadsRate()

      Specified by:
        `getDiskReadsRate` in interface `RegionMBean`

    - #### getDiskWritesRate

          public double getDiskWritesRate()

      Specified by:
        `getDiskWritesRate` in interface `RegionMBean`

    - #### getEmptyNodes

          public int getEmptyNodes()

      Specified by:
        `getEmptyNodes` in interface `RegionMBean`

    - #### getGetsRate

          public double getGetsRate()

      Specified by:
        `getGetsRate` in interface `RegionMBean`

    - #### getLruEvictionRate

          public double getLruEvictionRate()

      Specified by:
        `getLruEvictionRate` in interface `RegionMBean`

    - #### getPutsRate

          public double getPutsRate()

      Specified by:
        `getPutsRate` in interface `RegionMBean`

    - #### getRegionType

          public java.lang.String getRegionType()

      Specified by:
        `getRegionType` in interface `RegionMBean`

    - #### getEntrySize

          public long getEntrySize()

      Specified by:
        `getEntrySize` in interface `RegionMBean`

    - #### getSystemRegionEntryCount

          public long getSystemRegionEntryCount()

      Specified by:
        `getSystemRegionEntryCount` in interface `RegionMBean`

    - #### getMemberCount

          public int getMemberCount()

      Specified by:
        `getMemberCount` in interface `RegionMBean`

    - #### getPersistentEnabled

          public boolean getPersistentEnabled()

      Specified by:
        `getPersistentEnabled` in interface `RegionMBean`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `RegionMBean`

    - #### getGatewayEnabled

          public boolean getGatewayEnabled()

      Specified by:
        `getGatewayEnabled` in interface `RegionMBean`

    - #### getDiskUsage

          public long getDiskUsage()

      Specified by:
        `getDiskUsage` in interface `RegionMBean`

    - #### listRegionAttributes

          public javax.management.openmbean.CompositeData listRegionAttributes()

      Specified by:
        `listRegionAttributes` in interface `RegionMBean`